def-foreign-type
Prev | Primitive Types | Next

## Name

def-foreign-type — Defines a new foreign type. Macro

## Syntax

    	def-foreign-type name type

## Arguments and Values

`name`

  A symbol naming the new foreign type.

`value`

  A form that is not evaluated that defines the new foreign type.

## Description

Defines a new foreign type.

## Examples

    (def-foreign-type my-generic-pointer :pointer-void)
    (def-foreign-type a-double-float :double-float)
    (def-foreign-type char-ptr (* :char))

## Side Effects

Defines a new foreign type.

## Affected by

None.

## Exceptional Situations

None.

Prev | Up | Next
def-constant | Home | null-char-p